ScanTrust Image Sync
===
This tool is used to synchronize product images to the Scantrust system. The tool will upload local images to the server
based on a CSV file.

Requirements
---
**Use a pre-compiled version:**

The tool is available, pre-compiled for Windows, Linux or Mac. See Dev Portal for the latest download link.

https://devportal.scantrust.com/

**ScanTrust system requirements:**
- An active user/UAT with sufficient rights to alter products
- CSV with products and images in the right format to upload

CSV Format
---
Required CSV headers are:

- `sku` The SKU of the product
- `image` The image to upload for the product

        sku,image
        SKU1,my_img.jpeg
        SKU2,my_img_2.jpeg

**Note:** Max image size = 10MB

All additional fields  will be ignored by the API.

Usage
---

Run this tool in your terminal/cmd with sufficient rights. For optimal usage, add the tool to your user path variables.

    $ ./image_sync my_products.csv --token your_uat_token

This tool can be ran using a UAT token (**recommended**) which is obtained from the ScanTrust portal under you user settings.
The tool also supports regular user/password authentication and will prompt for this if no token is given.

**Optional Parameters**

**--server**

The ScanTrust server domain. Defaults to `api.scantrust.com`

**--user**

Your ScanTrust account email

**--password**

Your ScanTrust password. If not specified you will be asked for input when running the script.

**--token**

UAT token to login from the ScanTrust portal. This token will take precedence over user/pass authentication.

**--verbose**

Run the tool with extra output, handy to debug errors.

**--logfile**

Custom logfile. Defaults to `<csv file>.log`

**--prefix**

Prefix to use for image files e.g. `images/` on max or `images\\` on windows. Used when images are in a different directory.